## org.hornetq.spi.core.protocol
Enum ProtocolType

    java.lang.Object
      java.lang.Enum<ProtocolType>
          org.hornetq.spi.core.protocol.ProtocolType

All Implemented Interfaces:
  Serializable, Comparable<ProtocolType>

    public enum ProtocolType

extends Enum<ProtocolType>

A ProtocolType

Author:
  Tim Fox

Enum Constant Summary
`AARDVARK`
`AMQP`
`CORE`
`STOMP`
`STOMP_WS`

Method Summary
`static ProtocolType` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static ProtocolType[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### CORE

    public static final ProtocolType CORE

### STOMP

    public static final ProtocolType STOMP

### STOMP_WS

    public static final ProtocolType STOMP_WS

### AMQP

    public static final ProtocolType AMQP

### AARDVARK

    public static final ProtocolType AARDVARK

Method Detail

### values

    public static ProtocolType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (ProtocolType c : ProtocolType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static ProtocolType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

Copyright © 2009 Red Hat Inc. All Rights Reserved.